org.springframework.remoting.jaxrpc

## Interface JaxRpcServicePostProcessor

- Deprecated.
  in favor of JAX-WS support in `org.springframework.remoting.jaxws`

      @Deprecated
      public interface JaxRpcServicePostProcessor

  Callback interface for post-processing a JAX-RPC Service.

  Implementations can be registered with `LocalJaxRpcServiceFactory` or one of its subclasses: `LocalJaxRpcServiceFactoryBean`, `JaxRpcPortClientInterceptor`, or `JaxRpcPortProxyFactoryBean`.

  Since:
    1.1.4
  Author:
    Juergen Hoeller
  See Also:
    `LocalJaxRpcServiceFactory.setServicePostProcessors(org.springframework.remoting.jaxrpc.JaxRpcServicePostProcessor[])`, `LocalJaxRpcServiceFactory.setServicePostProcessors(org.springframework.remoting.jaxrpc.JaxRpcServicePostProcessor[])`, `LocalJaxRpcServiceFactory.setServicePostProcessors(org.springframework.remoting.jaxrpc.JaxRpcServicePostProcessor[])`, `LocalJaxRpcServiceFactory.setServicePostProcessors(org.springframework.remoting.jaxrpc.JaxRpcServicePostProcessor[])`, `Service.getTypeMappingRegistry()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `postProcessJaxRpcService(Service service)` Deprecated. Post-process the given JAX-RPC `Service`.

- - ### Method Detail

    - #### postProcessJaxRpcService

          void postProcessJaxRpcService(Service service)

      Deprecated.
      Post-process the given JAX-RPC `Service`.
      Parameters:
        `service` - the current JAX-RPC `Service` (can be cast to an implementation-specific class if necessary)